#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - python310-cython0 preinstallation
#
# Creation   :  2023-11-13 holbru
# Last update:  $Id: preinstall.sh 107584 2023-11-13 07:27:13Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=python310-cython0

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with pytho310-cython package
installed=$(/usr/bin/eisman check python310-cython)

if [ "${installed}" != "not-installed" ]
then
    /usr/bin/eisman uninstall --auto --force python310-cython
fi

# conflict with pytho310-cython3 package
installed3=$(/usr/bin/eisman check python310-cython3)

if [ "${installed3}" != "not-installed" ]
then
    /usr/bin/eisman uninstall --auto --force python310-cython3
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
